Bug 754367 - Make building on RHEL-6 (and some tiny changes)
Summary: Make building on RHEL-6 (and some tiny changes)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sword
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: greg.hellings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 754449
TreeView+ depends on / blocked
 
Reported: 2011-11-16 09:49 UTC by Matěj Cepl
Modified: 2018-04-11 13:58 UTC (History)
2 users (show)

Fixed In Version: sword-1.7.3-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 11:48:22 UTC
Type: ---


Attachments (Terms of Use)
proposed patch (2.26 KB, patch)
2011-11-16 09:49 UTC, Matěj Cepl
no flags Details | Diff

Description Matěj Cepl 2011-11-16 09:49:15 UTC
Created attachment 533948 [details]
proposed patch

Description of problem:
There is no clucene-2 on RHEL-6 and with exclusion of the %Patch1 Rawhide package builds on RHEL-6.

Could you please add this patch (I am mostly after the %if construct to make the package building, the rest are nitpicks and maybe questionable ones)?

Thank you

Comment 1 Fedora End Of Life 2013-04-03 14:18:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Matěj Cepl 2014-06-08 23:03:31 UTC
Actually, what remains in this patch is just generally a good idea for all packages.

Comment 3 Fedora Admin XMLRPC Client 2014-07-26 17:13:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2014-07-26 22:33:25 UTC
sword-1.7.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sword-1.7.3-2.el6

Comment 5 Fedora Admin XMLRPC Client 2014-07-27 04:51:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Update System 2014-07-27 17:40:08 UTC
Package sword-1.7.3-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing sword-1.7.3-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2044/sword-1.7.3-2.el6
then log in and leave karma (feedback).

Comment 7 Fedora Admin XMLRPC Client 2014-08-05 08:55:57 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2014-08-07 11:48:22 UTC
sword-1.7.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.